// Demonstrate datagrams -- client side.

import java.net.*;
import java.io.*;

class DGClient {
  // This ports was choosen arbitrarily. You must use
  // an unused port on your machine.
  public static int clientPort = 50000;
  public static int buffer_size = 1024;

  public static DatagramSocket ds;

  public static void dgClient() throws IOException {
    String str;
    byte[] buffer = new byte[buffer_size];

    System.out.println("Receiving Data");
    for(;;) {
      // create a new packet to receive the data
      DatagramPacket p = new DatagramPacket(buffer, buffer.length);

      // wait for a packet
      ds.receive(p);

      // convert buffer into String
      str = new String(p.getData(), 0, p.getLength());

      // display the string on the client
      System.out.println(str);

      // quit when "stop" is received.
      if(str.equals("stop")) {
        System.out.println("Client Stopping.");
        break;
      }
    }
  }

  public static void main(String[] args) {
    ds = null;

    try {
      ds = new DatagramSocket(clientPort);
      dgClient();
    } catch(IOException exc) {
      System.out.println("Communication error: " + exc);
    } finally {
      if(ds != null) ds.close();
    }
  }
}