// Demonstrate datagrams -- server side.

import java.net.*;
import java.io.*;

class DGServer {
  // These ports were chosen arbitrarily. You must use
  // unused ports on your machine.
  public static int clientPort = 50000;
  public static int serverPort = 50001;

  public static DatagramSocket ds;

  public static void dgServer() throws IOException {
    byte[] buffer;
    String str;

    BufferedReader conin = new BufferedReader(
                                 new InputStreamReader(System.in));

    System.out.println("Enter characters. Enter 'stop' to quit.");
    for(;;) {
      // read a string from the keyboard
      str = conin.readLine();

      // convert string to byte array for transmission
      buffer = str.getBytes();

      // send a new packet that contains the string
      ds.send(new DatagramPacket(buffer, buffer.length,
              InetAddress.getLocalHost(), clientPort));

      // quit when "stop" is entered
      if(str.equals("stop")) {
        System.out.println("Server Quits.");
        return;
      }
    }
  }

  public static void main(String[] args) {
    ds = null;

    try {
      ds = new DatagramSocket(serverPort);
      dgServer();
    } catch(IOException exc) {
      System.out.println("Communication error: " + exc);
    } finally {
      if(ds != null) ds.close();
    }
  }
}
