// Demonstrate HttpURLConnection.

import java.net.*;
import java.io.*;
import java.util.*;

class HttpURLConnectionDemo
{
  public static void main(String[] args) {
    String str = "http://www.udayton.edu";
    if (args.length>0) str = args[0];

    try {
      URL url = new URL(str);
          HttpURLConnection connection =
             (HttpURLConnection) url.openConnection();

      // Display request method.
      System.out.println("Request method is " +
                         connection.getRequestMethod());

      // Display response code.
      System.out.println("Response code is " +
                         connection.getResponseCode());

      // Display response message.
      System.out.println("Response Message is " +
                         connection.getResponseMessage());

      // Get a list of the header fields and a set
      // of the header keys.
      Map<String, List<String>> hdrMap = connection.getHeaderFields();
      Set<String> hdrKeys = hdrMap.keySet();

      System.out.println("\nHere is the header:");

      // Display all header keys and values.
      for(String k : hdrKeys) {
        System.out.println("Key: " + k +
                           "  Value: " + hdrMap.get(k));
      }
    } catch(IOException exc) {
      System.out.println(exc);
    }
  }
}
