// Demonstrate Sockets.

import java.net.*;
import java.io.*;

class SocketDemo {
  public static void main(String[] args) {
    int ch;
    Socket socket = null;
    int port = 43;

    try {
      // Create a socket connected to whois.internic.net, port 43.
      socket = new Socket("whois.internic.net", port);

      // Obtain input and output streams.
      InputStream in = socket.getInputStream();
      OutputStream out = socket.getOutputStream();

      // Construct a request string.
      String str = (args.length == 0 ? "udayton.edu" :
                                      args[0]) + "\n";
      // Convert to bytes.
      byte[] buf = str.getBytes();

      // Send request.
      out.write(buf);

      // Read and display response.
      while ((ch = in.read()) != -1) {
        System.out.print((char) ch);
      }
    } catch(IOException exc) {
      System.out.println(exc);
    } finally {
      try {
        if(socket != null) socket.close();
      } catch(IOException exc) {
        System.out.println("Error closing socket: " + exc);
      }
    }
  }
}